﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace BooksExample
{
	public partial class AutorDescription : RadPage
	{
		private string autorID;

		public AutorDescription()
		{
			InitializeComponent();
			this.AutorID = "0";
			this.Loaded += new RoutedEventHandler(this.BookDescription_Loaded);
		}

		public string AutorID
		{
			get
			{
				return this.autorID;
			}
			set
			{
				this.autorID = value;
				NavigationIdentifier = "Autor_" + this.autorID + "_";
			}
		}

		private void BookDescription_Loaded(object sender, RoutedEventArgs e)
		{
			this.Description.Text = Data.GetAutorByID(this.AutorID).Description;
			this.Title.Text = Data.GetAutorByID(this.AutorID).Name;
		}
	}
}
