﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Xml.Linq;
using Telerik.Windows.Controls;

namespace BooksExample
{
	public partial class BookDescription : RadPage
	{
		private string bookID;

		public BookDescription()
		{
			InitializeComponent();
			this.BookID = "0";
			this.Loaded += new RoutedEventHandler(this.BookDescription_Loaded);
		}

		public string BookID
		{
			get
			{
				return this.bookID;
			}
			set
			{
				this.bookID = value;
				NavigationIdentifier = "Book_" + this.bookID + "_";
			}
		}

		private void BookDescription_Loaded(object sender, RoutedEventArgs e)
		{
			this.Desciption.Text = Data.GetBookByID(this.BookID).Description;
			this.Title.Text = Data.GetBookByID(this.BookID).Name;
			this.bookImage.Source = new BitmapImage(new Uri(Data.GetBookByID(this.BookID).Image, UriKind.Relative));
		}
	}
}
