﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Xml.Linq;
using Telerik.Windows.Controls;

namespace BooksExample
{
	public partial class Books : RadPage
	{
		public Books()
		{
			InitializeComponent();
			this.Loadbooks();
		}
	
		private void ItemsList_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
		{
			NavigationService sevrice = NavigationService.GetNavigationService();
			sevrice.Target = this.ParentContainer;
			sevrice.Navigate(new BookDescription()
			{ 
				BookID = this.ItemsList.SelectedIndex.ToString()
			});
		}

		private void Loadbooks()
		{
			ItemsList.ItemsSource = Data.GetBooks();
		}
	}
}
